Bug 738689 - Screen produces different vertical spaces when surrounded by paras
Screen produces different vertical spaces when surrounded by paras
Status: CLOSED CURRENTRELEASE
Product: Publican
Classification: Community
Component: publican (Show other bugs)
2.7
Unspecified Unspecified
low Severity unspecified
: 3.0
: ---
Assigned To: Jeff Fearn
Ruediger Landmann
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-09-15 10:31 EDT by Martin Prpič
Modified: 2012-10-30 23:11 EDT (History)
4 users (show)

See Also:
Fixed In Version: 3.0.0
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-10-30 23:11:50 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Proposed patch (596 bytes, patch)
2011-10-06 11:40 EDT, Jaromir Hradilek
no flags Details | Diff

  None (edit)
Description Martin Prpič 2011-09-15 10:31:52 EDT
Description of problem:

When screen is surrounded by paras, the horizontal spacing after screen is smaller than the one before screen.

Version-Release number of selected component (if applicable):
~]$ rpm -q publican
publican-2.7-1.fc15.noarch

How reproducible:
Always.

Steps to Reproduce:
1. Build a document with the following:

<para>
Blah blah blah blue blue blue red red red
</para>
<screen>
command 1; command 2; command 3;
command 3; command 5; command 6;
</screen>
<para>
Blah blah blah blue blue blue red red red
</para>

2. Open and view the screen portion.
  
Actual results:

The horizontal space between the first para and screen is larger than the horizontal space between screen and the second para.

Expected results:

The horizontal spaces should be of equal size. Right now, this can be achieved by including an empty para after screen:

<para>
Blah blah blah blue blue blue red red red
</para>
<screen>
command 1; command 2; command 3;
command 3; command 5; command 6;
</screen>
<para>
</para>
<para>
Blah blah blah blue blue blue red red red
</para>

However, that's an ugly hack and should not be used :)

Additional info:
As far as I know, this also applies to programlisting.
Comment 1 Martin Prpič 2011-09-15 11:15:16 EDT
Blargh, of course I meant vertical!
Comment 2 Jaromir Hradilek 2011-10-06 11:40:26 EDT
Created attachment 526733 [details]
Proposed patch
Comment 3 Jeff Fearn 2011-10-10 06:49:28 EDT
Applied patch to branches/publican-2x and trunk.

Committed revision 1907.
Comment 4 Misha H. Ali 2012-04-22 17:23:21 EDT
Verified vertical space between first and second (screen) para is equal to vertical space between second (screen) and third para.

Verified on:

OS: Fedora 16
Publican: 3.0
Release designation: publican-3.0-0.fc16.t166.src.rp

Note You need to log in before you can comment on or make changes to this bug.